Anzeige:
Ergebnis 1 bis 7 von 7

Thema: openTTD dedicated server auf debian 12 -versionskonflikt-

  1. #1
    Registrierter Benutzer
    Registriert seit
    May 2024
    Ort
    Innenministerium
    Beiträge
    5

    openTTD dedicated server auf debian 12 -versionskonflikt-

    Hallo liebe community,

    ich habe eine debian VM erstellt und aus den paketquellen den openttd server installiert.
    vor etwa 2 wochen ist eine neue version von openTTD erschienen, die jedoch nicht in den debian paketquellen ist.

    somit entsteht ein versionskonflikt mit allen, die die neue version haben.

    welche wege gibt es, ein aktuelleres paket zu bekommen?

    Flatpak, snap habe ich probiert, die sind auch alle zu alt.
    Den docker weg könnte man gehen, möchte ich aber nicht.
    von der quelle ziehen und selbst bauen habe ich probiert, der server startet nicht, da keine grafiktreiber vorhanden sind (headless VM, nur CLI)

  2. #2
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.696
    Und warum nicht den aus den Debian Paketquellen benutzen?

  3. #3
    Registrierter Benutzer
    Registriert seit
    May 2024
    Ort
    Innenministerium
    Beiträge
    5
    weil die version zu alt ist.
    im SID ist die aktuelle, bin aber nicht im SID train und möchte da eigentlich auch nicht hin.
    ich möchte nur die aktuellste version von openttd haben.

  4. #4
    Registrierter Benutzer Avatar von Huhn Hur Tu
    Registriert seit
    Nov 2003
    Ort
    Karlsruhe
    Beiträge
    2.267
    Warum nicht selber bauen aka kompilieren und warum nicht einen Schritt weitergehen und ein Debian Paket daraus bauen und openTTD anbieten oder in einem eigenen Repo anbieten. Moeglichkeiten wo man nur hinschaut.
    Zwischen anonym sein wollen und seine Daten nicht verkaufen wollen, liegen zwei Welten. Wenn man sich einen kostenpflichtigen Dienst sucht, dann meist, weil man für diese Dienstleistung zahlt und nicht selbst das Produkt sein will.


  5. #5
    Registrierter Benutzer
    Registriert seit
    May 2024
    Ort
    Innenministerium
    Beiträge
    5
    ich hab es versucht selbst zu bauen, es ist aber gescheitert, weil grafiktreiber erwartet werden.

    gibt es eine info quelle zum paket bauen?

    PS: ich bin noch linux neuling und versuche mich grade etwas einzuarbeiten

  6. #6
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.824
    [edit]ja, gibt auch anleitungen zum Paket bauen, aber dann würde ich meinen kannst du auch gleich Docker nehmen, dass dürfte mMn nicht nur für dich die einfachste Variante sein.

    https://www.openttd.org/development -> https://github.com/OpenTTD/OpenTTD?t...piling-openttd -> https://github.com/OpenTTD/OpenTTD/b...#cmake-options
    Ich vermute, dass du diese Option (und noch mindestens eine andere) übersehen hast:
    -DOPTION_DEDICATED=ON: build OpenTTD without a GUI. Useful if you are running a headless server, as it requires less libraries to operate.
    dürfte dann etwa so gemacht werden
    Code:
    mkdir build
    cd build
    cmake -DOPTION_DEDICATED=ON ..
    make
    Geändert von nopes (05.06.24 um 19:51 Uhr) Grund: umformuliert
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

  7. #7
    Registrierter Benutzer
    Registriert seit
    May 2024
    Ort
    Innenministerium
    Beiträge
    5
    super, vielen Dank! das habe ich nicht gesehen.

Ähnliche Themen

  1. OpenTTD mit OpenGFX unter WindowsMobile
    Von roadracer im Forum Alternativen zu Linux
    Antworten: 0
    Letzter Beitrag: 29.06.10, 16:59
  2. Online-Spiel bei OpenTTD unter Ubuntu 5.04
    Von Ilomoga im Forum Spielen Allgemein
    Antworten: 1
    Letzter Beitrag: 18.09.06, 20:56
  3. fglrx-> make meldet vermutlichen Versionskonflikt
    Von Lifeguard im Forum X-Konfiguration
    Antworten: 6
    Letzter Beitrag: 25.10.05, 13:49
  4. Jedi Knight 2 Server .. Linux 1.02c Dedicated Server
    Von |SuffiX| im Forum Dedizierte Spiele Server
    Antworten: 4
    Letzter Beitrag: 05.07.05, 18:25
  5. QT & kdelibs - Versionskonflikt
    Von Shutdown im Forum System installieren und konfigurieren
    Antworten: 2
    Letzter Beitrag: 25.07.04, 13:58

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •